# Type alias Contract

Contract: Common.CompiledContract & {
db: {
callBytecode: Resources.IdObject<"bytecodes">;
contract: Resources.IdObject<"contracts">;
createBytecode: Resources.IdObject<"bytecodes">;
source: Resources.IdObject<"sources">;
};
}

#### Type declaration

- ##### db: {
  callBytecode: Resources.IdObject<"bytecodes">;
  contract: Resources.IdObject<"contracts">;
  createBytecode: Resources.IdObject<"bytecodes">;
  source: Resources.IdObject<"sources">;
  }

  - ##### callBytecode: Resources.IdObject<"bytecodes">

  - ##### contract: Resources.IdObject<"contracts">

  - ##### createBytecode: Resources.IdObject<"bytecodes">

  - ##### source: Resources.IdObject<"sources">

- Defined in packages/db/src/project/loadCompile/index.ts:34

Generated using TypeDoc